| Home | Libraries | People | FAQ | More

## Function template partition_copy

boost::algorithm::partition_copy

## Synopsis

    // In header: <boost/algorithm/cxx11/partition_copy.hpp>

    template<typename Range, typename OutputIterator1, typename OutputIterator2,
             typename UnaryPredicate>
      std::pair< OutputIterator1, OutputIterator2 >
      partition_copy(const Range & r, OutputIterator1 out_true,
                     OutputIterator2 out_false, UnaryPredicate p);

## Description

Parameters:

`out_false` | An output iterator to write the elements that do not satisfy the predicate into
`out_true` | An output iterator to write the elements that satisfy the predicate into
`p` | A predicate for dividing the elements of the input sequence.
`r` | The input range